## sleuthkit 4.1.3

=== framework/msvcpp/Makefile ===
BUILDLOG = BuildLog.txt
RM	= rm -f
MORE	= cat
MSBUILD	= msbuild.exe

TSK_SOLN = "$(TSK_HOME)\win32\tsk-win.sln"
EWF_SOLN = "$(LIBEWF_HOME)\msvscpp\libewf.sln"
FRMWK_SOLN = "$(TSK_HOME)\framework\msvcpp\framework\framework.sln"
POCO_SOLN = "$(POCO_HOME)\Foundation\Foundation_vs100.sln"
POCO_UTIL_SOLN = "$(POCO_HOME)\Util\Util_vs100.sln"
POCO_XML_SOLN = "$(POCO_HOME)\XML\XML_vs100.sln"
POCO_NET_SOLN = "$(POCO_HOME)\Net\Net_vs100.sln"
POCO_ZIP_SOLN = "$(POCO_HOME)\Zip\Zip_vs100.sln"

RELEASE_FLAGS = "/property:Configuration=Release"
DEBUG_FLAGS = "/property:Configuration=Debug"
POCO_RELEASE_FLAGS = "/property:Configuration=release_shared"
POCO_DEBUG_FLAGS = "/property:Configuration=debug_shared"

LOGFILE_FLAGS = "/fileloggerparameters:logfile=$(BUILDLOG);Append;Verbosity=detailed"

all:	debug

usage:
    @echo Usage: nmake [poco ^| libewf ^| all_deps ^| debug ^| release ^| clean ^| spotless]
    @echo "   poco: Builds debug and release versions of Poco libraries"
    @echo "   libewf: Builds release version of libewf_dll and zlib"
    @echo "   all_deps: Builds all dependencies (i.e. Poco, libewf and zlib)"
    @echo "   release: Builds release versions of libtsk and libtskframework"
    @echo "   debug: Builds debug versions of libtsk and libtskframework"
    @echo "   clean: Cleans debug and release versions of libtsk and libtskframework"
    @echo "   spotless: Cleans libtsk, libtskframework, libewf, zlib and Poco."

poco:
	$(MSBUILD)  $(POCO_SOLN) /target:Foundation $(POCO_DEBUG_FLAGS) $(LOGFILE_FLAGS)
	$(MSBUILD)  $(POCO_XML_SOLN) /target:XML $(POCO_DEBUG_FLAGS) $(LOGFILE_FLAGS)
	$(MSBUILD)  $(POCO_NET_SOLN) /target:Net $(POCO_DEBUG_FLAGS) $(LOGFILE_FLAGS)
	$(MSBUILD)  $(POCO_ZIP_SOLN) /target:Zip $(POCO_DEBUG_FLAGS) $(LOGFILE_FLAGS)
	$(MSBUILD)  $(POCO_UTIL_SOLN) /target:Util $(POCO_DEBUG_FLAGS) $(LOGFILE_FLAGS)
	$(MSBUILD)  $(POCO_SOLN) /target:Foundation $(POCO_RELEASE_FLAGS) $(LOGFILE_FLAGS)
	$(MSBUILD)  $(POCO_XML_SOLN) /target:XML $(POCO_RELEASE_FLAGS) $(LOGFILE_FLAGS)
	$(MSBUILD)  $(POCO_NET_SOLN) /target:Net $(POCO_RELEASE_FLAGS) $(LOGFILE_FLAGS)
	$(MSBUILD)  $(POCO_ZIP_SOLN) /target:Zip $(POCO_RELEASE_FLAGS) $(LOGFILE_FLAGS)
	$(MSBUILD)  $(POCO_UTIL_SOLN) /target:Util $(POCO_RELEASE_FLAGS) $(LOGFILE_FLAGS)

libewf:
	$(MSBUILD)  $(EWF_SOLN) /target:libewf_dll $(RELEASE_FLAGS) $(LOGFILE_FLAGS)
    
all_deps: poco libewf

release: all_deps
	$(MSBUILD)  $(TSK_SOLN) /target:libtsk $(RELEASE_FLAGS) $(LOGFILE_FLAGS)
	$(MSBUILD)  $(FRMWK_SOLN) $(RELEASE_FLAGS) $(LOGFILE_FLAGS)

debug: all_deps
	$(MSBUILD)  $(TSK_SOLN) /target:libtsk $(DEBUG_FLAGS) $(LOGFILE_FLAGS)
	$(MSBUILD)  $(FRMWK_SOLN) $(DEBUG_FLAGS) $(LOGFILE_FLAGS)

clean:
    $(RM) $(BUILDLOG)
	$(MSBUILD) $(TSK_SOLN) /target:Clean $(DEBUG_FLAGS)
	$(MSBUILD) $(FRMWK_SOLN) /target:Clean $(DEBUG_FLAGS)
	$(MSBUILD) $(TSK_SOLN) /target:Clean $(RELEASE_FLAGS)
	$(MSBUILD) $(FRMWK_SOLN) /target:Clean $(RELEASE_FLAGS)

spotless: clean
	$(MSBUILD) $(EWF_SOLN) /target:Clean $(RELEASE_FLAGS)
	$(MSBUILD) $(POCO_SOLN) /target:Clean $(POCO_DEBUG_FLAGS)
	$(MSBUILD) $(POCO_XML_SOLN) /target:Clean $(POCO_DEBUG_FLAGS)
	$(MSBUILD) $(POCO_NET_SOLN) /target:Clean $(POCO_DEBUG_FLAGS)
	$(MSBUILD) $(POCO_ZIP_SOLN) /target:Clean $(POCO_DEBUG_FLAGS)
	$(MSBUILD) $(POCO_UTIL_SOLN) /target:Clean $(POCO_DEBUG_FLAGS)
	$(MSBUILD) $(POCO_SOLN) /target:Clean $(POCO_RELEASE_FLAGS)
	$(MSBUILD) $(POCO_XML_SOLN) /target:Clean $(POCO_RELEASE_FLAGS)
	$(MSBUILD) $(POCO_NET_SOLN) /target:Clean $(POCO_RELEASE_FLAGS)
	$(MSBUILD) $(POCO_ZIP_SOLN) /target:Clean $(POCO_RELEASE_FLAGS)
	$(MSBUILD) $(POCO_UTIL_SOLN) /target:Clean $(POCO_RELEASE_FLAGS)

=== debian/changelog ===
sleuthkit (4.1.3-4+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Add patch to fix stack buffer overflow in yaffsfs_istat.
    (Fixes: CVE-2020-10232)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 10 Mar 2020 01:24:31 +0530

sleuthkit (4.1.3-4+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2018-19497: OOB read in hfs_dir_open_meta_cb (tsk/fs/hfs_dent.c)
    (closes: #914796).

 -- Hugo Lefeuvre <hle@debian.org>  Mon, 17 Dec 2018 15:50:45 +0100

sleuthkit (4.1.3-4) unstable; urgency=medium

  * New maintainer email address.
  * debian/control: updated the Vcs-Browser field.
  * debian/libtsk10.lintian-overrides: added to override a message
    and explain about symbols situation.
  * debian/watch: added GitHub as a second repository of packages.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 Aug 2014 14:31:26 -0300

sleuthkit (4.1.3-3) unstable; urgency=medium

  * Removed the inconstant symbols control files from debian/. These
    symbols are being generated incorrectly by a bad behavior of the
    upstream code. (Closes: #746909)
  * debian/rules: removed the useless 'DPKG_EXPORT_BUILDFLAGS = 1'
    and 'include /usr/share/dpkg/buildflags.mk' lines.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Sat, 10 May 2014 22:17:08 -0300

sleuthkit (4.1.3-2) unstable; urgency=medium

  * debian/patches/50_disable_ant_clean.diff: added
    to cancel the 'ant clean' command.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Tue, 11 Mar 2014 20:45:18 -0300

sleuthkit (4.1.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/clean: added to remove some forgotten build files.
  * debian/control: little adjustments in short and long descriptions.
  * debian/copyright: updated the upstream copyright years.
  * debian/libtsk10.symbols.{amd64,i386}: updated.
  * debian/patches: renamed 99_no_static_ldflags.diff to
    40_no_static_ldflags.diff.
  * debian/README.source: added to explain about a non free action
    when compiling Java bindings.
  * debian/rules: created target override_dh_auto_configure to avoid
    the Java bindings compilation.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Mon, 03 Mar 2014 08:00:31 -0300

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e
LDFLAGS+=-lsqlite3 -lsupc++ -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
#	Disabling Java bindings. Please, see debian/README.source for details.
	dh_auto_configure -- --disable-java

override_dh_installdocs:
	dh_installdocs
	mv $(CURDIR)/debian/sleuthkit/usr/share/doc/sleuthkit/README $(CURDIR)/debian/sleuthkit/usr/share/doc/sleuthkit/README.fiwalk

=== debian/watch ===
version=3
http://sf.net/sleuthkit/sleuthkit-(\d\S+)\.tar\.(?:bz2|gz|xz)
https://github.com/sleuthkit/sleuthkit/releases .*/sleuthkit/archive/sleuthkit-(\d\S+)\.tar\.(?:bz2|gz|xz)

## sleuthkit 4.2.0

=== debian/changelog ===
sleuthkit (4.2.0-3) unstable; urgency=medium

  * debian/rules: added override_dh_makeshlibs to provide
      the right package version to dpkg-gensymbols.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 28 Nov 2015 15:37:21 -0200

sleuthkit (4.2.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/libtsk13.symbols: removed a symbol incompatible with arm64.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 16 Nov 2015 20:51:59 -0200

sleuthkit (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Migrations:
      - Using libtsk13 instead of libtsk10v5.
      - Generating a new main symbol file (trying a universal format).
  * debian/clean: removed. The upstream fixed the source code. Thanks!
  * debian/control: added exFAT in long descriptions.
  * debian/copyright:
      - Changed the packaging license from GPL-2+ to BSD-3-Clause to provide
        full compatibility with upstream.
      - Reviewed and updated all information about the upstream copyright.
      - Updated the 'Source' field in header.
  * debian/gbp.conf: not used by me... Removed.
  * debian/manpage:
      - Converted srch_strings.1 to txt2man format.
      - Little adjustments in *.txt files.
      - Updated the genallman.sh script.
  * debian/patches/:
      - 20_fix_spelling_errors.diff: adjusted.
      - 30_fix-manpages.diff: adjusted.
      - 60_add_TSK_IMG_INFO_used_by_pytsk.diff: removed. The upstream fixed
        the source code. Thanks!
  * debian/README.source: added information about licensing.
  * debian/rules: removed a line to specify the SHELL variable.
  * debian/sleuthkit.docs: renamed README.txt to README.md.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 12 Nov 2015 16:36:49 -0200

sleuthkit (4.1.3-12) unstable; urgency=medium

  * Fixed some symbols.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 13 Sep 2015 11:00:22 -0300

sleuthkit (4.1.3-11) unstable; urgency=medium

  * Renamed library package for new libstdc++6 ABI.
  * Updated the symbols for kfreebsd-amd64, alpha, m68k, sh4 and sparc64.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 09 Aug 2015 16:15:18 -0300

sleuthkit (4.1.3-10) unstable; urgency=medium

  * Upload to unstable.
  * Updated all symbols files. (Closes: #791285, #791737)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 05 Aug 2015 16:47:32 -0300

sleuthkit (4.1.3-9) experimental; urgency=medium

  * Re-generating all symbols to avoid a FTBFS with GCC5. This is the first
    upload to collect necessary changes in each architecture.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 03 Aug 2015 11:54:59 -0300

sleuthkit (4.1.3-8) unstable; urgency=medium

  * Added debian/libtsk10.symbols.mips64el. (Closes: #789603)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 22 Jun 2015 15:12:20 -0300

sleuthkit (4.1.3-7) unstable; urgency=medium

  * Created symbols for alpha and m68k.
  * Fixed symbols for hppa.
  * Removed debian-revision from some symbols.
  * Using symlinks for some symbols.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 16 May 2015 21:23:52 -0300

sleuthkit (4.1.3-6) unstable; urgency=medium

  * Upload to unstable.
  * Created all necessary symbols.
  * debian/patches/70_fix-FTBFS-HURD.diff: added to fix a FTBFS in HURD.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 12 May 2015 09:53:34 -0300

sleuthkit (4.1.3-5) experimental; urgency=medium

  * Upload to experimental to reimplement the library symbols.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Little adjustments in long description.
      - Removed Christophe Monniez from Uploaders field (MIA).
      - Removed autoconf, automake and libtool from Build-Depends
        field. The dh-autoreconf is enough.
  * debian/copyright:
      - Dropping dot-zero from GPL license short name.
      - Fixed a typo.
      - Removed a duplicated block.
      - Updated the packaging years.
  * debian/libtsk10.lintian-overrides: removed. Providing the
      necessary symbols now.
  * debian/libtsk10.symbols.*: added to provide symbols.
  * debian/manpages/:
      - Renamed to debian/manpage/.
      - Using genallman.sh v0.2.
  * debian/patches/: added a patch to implement TSK_IMG_INFO,
      used by pytsk. This will allow the packaging of the pytsk
      by Joachim Metz <joachim.metz@gmail.com>.
  * debian/README.source: fixed a typo.
  * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS variable to improve the
        GCC hardening.
      - Replaced LDFLAGS by DEB_LDFLAGS_MAINT_APPEND.
  * debian/sleuthkit.manpages: pointing to new manpages place.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 11 May 2015 16:59:50 -0300

=== debian/control ===
Source: sleuthkit
Section: admin
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libewf-dev (>= 20130416),
               libsqlite3-dev,
               libafflib-dev (>= 3.6.6)
Standards-Version: 3.9.6
Homepage: http://www.sleuthkit.org/sleuthkit
Vcs-Browser: http://anonscm.debian.org/cgit/forensics/sleuthkit.git
Vcs-Git: git://anonscm.debian.org/forensics/sleuthkit.git

Package: sleuthkit
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         file,
         libdate-manip-perl
Suggests: autopsy, mac-robber
Conflicts: tct
Description: tools for forensics analysis on volume and filesystem data
 The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The filesystem tools
 allow you to examine filesystems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 filesystems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. You can also recover deleted files, get information
 stored in slack spaces, examine filesystems journal, see partitions layout on
 disks or images etc. But is very important clarify that the TSK acts over the
 current filesystem only.
 .
 The Sleuth Kit supports DOS partitions, BSD partitions (disk labels), Mac
 partitions, Sun slices (Volume Table of Contents), and GPT disks. With these
 tools, you can identify where partitions are located and extract them so that
 they can be analyzed with filesystem analysis tools.
 .
 Currently, TSK supports several filesystems, as NTFS, FAT, exFAT, HFS+, Ext3,
 Ext4, UFS and YAFFS2.
 .
 This package contains the set of command line tools in The Sleuth Kit.

Package: libtsk13
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libtsk10v5
Replaces: libtsk10v5
Description: library for forensics analysis on volume and filesystem data
 The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The filesystem tools
 allow you to examine filesystems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 filesystems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. You can also recover deleted files, get information
 stored in slack spaces, examine filesystems journal, see partitions layout on
 disks or images etc. But is very important clarify that the TSK acts over the
 current filesystem only.
 .
 The Sleuth Kit supports DOS partitions, BSD partitions (disk labels), Mac
 partitions, Sun slices (Volume Table of Contents), and GPT disks. With these
 tools, you can identify where partitions are located and extract them so that
 they can be analyzed with filesystem analysis tools.
 .
 Currently, TSK supports several filesystems, as NTFS, FAT, exFAT, HFS+, Ext3,
 Ext4, UFS and YAFFS2.
 .
 This package contains the library which can be used to implement all of the
 functionality of the command line tools into an application that needs to
 analyze data from a disk image.

Package: libtsk-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libtsk13 (= ${binary:Version}), zlib1g-dev
Description: library for forensics analysis (development files)
 The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
 line file and volume system forensic analysis tools. The filesystem tools
 allow you to examine filesystems of a suspect computer in a non-intrusive
 fashion. Because the tools do not rely on the operating system to process the
 filesystems, deleted and hidden content is shown.
 .
 The volume system (media management) tools allow you to examine the layout of
 disks and other media. You can also recover deleted files, get information
 stored in slack spaces, examine filesystems journal, see partitions layout on
 disks or images etc. But is very important clarify that the TSK acts over the
 current filesystem only.
 .
 The Sleuth Kit supports DOS partitions, BSD partitions (disk labels), Mac
 partitions, Sun slices (Volume Table of Contents), and GPT disks. With these
 tools, you can identify where partitions are located and extract them so that
 they can be analyzed with filesystem analysis tools.
 .
 Currently, TSK supports several filesystems, as NTFS, FAT, exFAT, HFS+, Ext3,
 Ext4, UFS and YAFFS2.
 .
 This package contains header files and static version of the library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -lsqlite3 -lsupc++ -Wl,--as-needed

export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
#	Disabling Java bindings. Please, see debian/README.source for details.
	dh_auto_configure -- --disable-java

override_dh_installdocs:
	dh_installdocs
	mv $(CURDIR)/debian/sleuthkit/usr/share/doc/sleuthkit/README \
           $(CURDIR)/debian/sleuthkit/usr/share/doc/sleuthkit/README.fiwalk

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(PVER)

## sleuthkit 4.3.1

=== debian/changelog ===
sleuthkit (4.3.1-5) unstable; urgency=medium

  * Upload to unstable. (Closes: #850828)
  * debian/copyright: updated the packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 16 Jan 2017 17:16:08 -0200

sleuthkit (4.3.1-4) experimental; urgency=medium

  * Trying to fix the symbols file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 15 Jan 2017 19:39:52 -0200

sleuthkit (4.3.1-3) experimental; urgency=medium

  * Updated the symbols. Thanks to Hilko Bengen <bengen@debian.org>.
    (Closes: #850828)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 13 Jan 2017 10:17:10 -0200

sleuthkit (4.3.1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/source/include-binaries: no longer needed. Removed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 29 Nov 2016 21:38:41 -0200

sleuthkit (4.3.1-1) experimental; urgency=medium

  * New upstream release.
  * Bumped DH level to 10.
  * debian/clean: created to remove a file forgotten after build process.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright:
      - Added some new data about the upstream source code.
      - Updated the upstream and packaging copyright years.
  * debian/patches/:
      - Changed all .diff suffixes to .patch.
      - Renamed 70_fix-FTBFS-HURD.patch to 60_fix-FTBFS-HURD.patch.
      - Updated 10_link-to-sqlite.patch to use the right path.
      - Updated 20_fix-spelling-errors.patch to fix other spelling error.
  * debian/libtsk13.symbols: removed some symbols to be compliant with
    the new upstream version.
  * debian/watch:
      - Bumped to version 4.
      - Removed the extra source to avoid conflicts with uscan.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 28 Nov 2016 15:48:07 -0200

## sleuthkit 4.4.0

=== debian/changelog ===
sleuthkit (4.4.0-5) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Feb 2017 13:34:05 -0300

sleuthkit (4.4.0-4) experimental; urgency=medium

  * Fixed the symbols to support the x32 arch.
    Thanks to Hilko Bengen <bengen@debian.org>.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 19 Feb 2017 17:44:19 -0300

sleuthkit (4.4.0-3) experimental; urgency=medium

  * Split the symbols to improve the build over 32 and 64-bit architectures.
    Thanks a lot to Hilko Bengen <bengen@debian.org>. This revision is relative
    to #850828 (already closed).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 18 Feb 2017 19:46:09 -0200

sleuthkit (4.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 25 Jan 2017 20:31:47 -0200

sleuthkit (4.4.0-1) experimental; urgency=medium

  * New upstream release. (Closes: #851872)
  * debian/libtsk13.symbols: removed optional symbols and added new provided
    by 4.4.0.
  * debian/patches/10_link-to-sqlite.patch: updated to match with the new
    upstream version.
  * debian/rules: using a fixed version for new autogenerated symbols.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 24 Jan 2017 22:30:19 -0200

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,9 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -lsqlite3 -lsupc++ -Wl,--as-needed
 
-export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)
+# Setting version by hand
+#export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)
+export PVER=4.4.0
 
 %:
 	dh $@ --with autoreconf

## sleuthkit 4.4.2

=== debian/changelog ===
sleuthkit (4.4.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 19 Sep 2017 12:11:45 -0300

sleuthkit (4.4.2-2) experimental; urgency=medium

  * Added new patches to solve CVE's:
      - 70_fix-CVE-2017-13760.patch, for CVE-2017-13760. (Closes: #873724)
      - 80_fix-CVE-2017-13756.patch, for CVE-2017-13756. (Closes: #873725)
      - 90_fix-CVE-2017-13755.patch, for CVE-2017-13755. (Closes: #873726)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 18 Sep 2017 19:46:37 -0300

sleuthkit (4.4.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.4.2
  * Drop fix-spelling and link-to-sqlite patches
  * Mark private APIs private, after explanation in
    https://github.com/sleuthkit/sleuthkit/issues/889)

 -- Hilko Bengen <bengen@debian.org>  Fri, 11 Aug 2017 17:39:49 +0200

sleuthkit (4.4.0-6) unstable; urgency=medium

  * Team upload
  * Do not set default symbol version to current upstream version
  * Remove some C++ vector symbols, fixing FTBFS with GCC-7 and building
    with -O3 on ppc64el (Closes: #853663, #860223)
  * Remove useless dh-autoreconf build-dependency
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Tue, 08 Aug 2017 23:59:12 +0200

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,22 @@
 Priority: optional
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 10),
+               libafflib-dev (>= 3.6.6),
                libewf-dev (>= 20130416),
-               libsqlite3-dev,
-               libafflib-dev (>= 3.6.6)
-Standards-Version: 3.9.6
+               libsqlite3-dev
+Standards-Version: 4.0.0
 Homepage: http://www.sleuthkit.org/sleuthkit
-Vcs-Browser: http://anonscm.debian.org/cgit/forensics/sleuthkit.git
-Vcs-Git: git://anonscm.debian.org/forensics/sleuthkit.git
+Vcs-Browser: https://anonscm.debian.org/git/forensics/sleuthkit.git
+Vcs-Git: https://anonscm.debian.org/git/forensics/sleuthkit.git
 
 Package: sleuthkit
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: file,
+         libdate-manip-perl,
          ${misc:Depends},
          ${perl:Depends},
-         file,
-         libdate-manip-perl
+         ${shlibs:Depends}
 Suggests: autopsy, mac-robber
 Conflicts: tct
 Description: tools for forensics analysis on volume and filesystem data
@@ -48,7 +47,7 @@
 Package: libtsk13
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libtsk10v5
 Replaces: libtsk10v5
 Description: library for forensics analysis on volume and filesystem data
@@ -79,7 +78,7 @@
 Package: libtsk-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libtsk13 (= ${binary:Version}), zlib1g-dev
+Depends: libtsk13 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
 Description: library for forensics analysis (development files)
  The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
  line file and volume system forensic analysis tools. The filesystem tools

=== debian/watch ===
version=4
https://github.com/sleuthkit/sleuthkit/releases .*/sleuthkit/archive/sleuthkit-(\d\S+)\.tar\.(?:bz2|gz|xz)

## sleuthkit 4.6.0

=== debian/changelog ===
sleuthkit (4.6.0-1) unstable; urgency=medium

  * Team upload
  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Hilko Bengen ]
  * New upstream version 4.6.0
  * Bump Standards-Version
  * Drop CVE-* patches that have been integrated upstream
  * Update .symbols file

 -- Hilko Bengen <bengen@debian.org>  Sat, 31 Mar 2018 19:15:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: sleuthkit
 Section: admin
 Priority: optional
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>= 10),
                libafflib-dev (>= 3.6.6),
                libewf-dev (>= 20130416),
                libsqlite3-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.sleuthkit.org/sleuthkit
-Vcs-Browser: https://anonscm.debian.org/git/forensics/sleuthkit.git
-Vcs-Git: https://anonscm.debian.org/git/forensics/sleuthkit.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/sleuthkit
+Vcs-Git: https://salsa.debian.org/pkg-security-team/sleuthkit.git
 
 Package: sleuthkit
 Architecture: any

## sleuthkit 4.6.1

=== debian/changelog ===
sleuthkit (4.6.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.6.1
  * Bump Standards-Version
  * Update patches
  * Update .symbols file

 -- Hilko Bengen <bengen@debian.org>  Mon, 06 Aug 2018 01:22:07 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libafflib-dev (>= 3.6.6),
                libewf-dev (>= 20130416),
                libsqlite3-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: http://www.sleuthkit.org/sleuthkit
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/sleuthkit
 Vcs-Git: https://salsa.debian.org/pkg-security-team/sleuthkit.git

## sleuthkit 4.6.2

=== debian/changelog ===
sleuthkit (4.6.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.6.2
  * Update patches, disable a test that needs network access

 -- Hilko Bengen <bengen@debian.org>  Sun, 12 Aug 2018 13:25:46 +0200

## sleuthkit 4.6.4

=== debian/changelog ===
sleuthkit (4.6.4-2) unstable; urgency=high

  * Team upload
  * Add compatibility patch so sleuthkit can be compiled with libewf3

 -- Hilko Bengen <bengen@debian.org>  Sun, 13 Jan 2019 20:13:57 +0100

sleuthkit (4.6.4-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.6.4
  * debian/copyright: Add Creative Commons disclaimers
  * Bump Standards-Version
  * Remove Joao Eriberto Mota Filho from Uploaders at his request
  * Bump Debhelper compat level

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Dec 2018 17:57:18 +0100

## sleuthkit 4.6.5

=== debian/changelog ===
sleuthkit (4.6.5-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.6.5
  * Update .symbols
  * Remove libewf3 compat patch as it is not needed (yet).

 -- Hilko Bengen <bengen@debian.org>  Tue, 22 Jan 2019 12:53:42 +0100

## sleuthkit 4.6.5.2+dde

=== debian/changelog ===
sleuthkit (4.6.5.2+dde-1) unstable; urgency=medium

  * update

 -- Debian Security Tools <team+pkg-security@tracker.debian.org>  Tue, 16 Nov 2021 19:53:54 +0800

sleuthkit (4.6.5.2-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CVE-2020-10233.

 -- fengli <fengli@uniontech.com>  Thu, 12 Aug 2021 12:53:42 +0100

sleuthkit (4.6.5.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix stack buffer overflow in yaffsfs_istat.

 -- zouya <zouya@uniontech.com>  Mon, 17 May 2021 12:53:42 +0100

## sleuthkit 4.6.7

=== debian/changelog ===
sleuthkit (4.6.7-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:02 +0100

sleuthkit (4.6.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 4.6.7
  * Update symbols file

 -- Hilko Bengen <bengen@debian.org>  Mon, 16 Sep 2019 14:29:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                libafflib-dev (>= 3.6.6),
                libewf-dev (>= 20130416),
                libsqlite3-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: http://www.sleuthkit.org/sleuthkit
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/sleuthkit
 Vcs-Git: https://salsa.debian.org/pkg-security-team/sleuthkit.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -lsqlite3 -lsupc++ -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
#	Disabling Java bindings. Please, see debian/README.source for details.
	dh_auto_configure -- --disable-java

override_dh_installdocs:
	dh_installdocs
	mv $(CURDIR)/debian/sleuthkit/usr/share/doc/sleuthkit/README \
           $(CURDIR)/debian/sleuthkit/usr/share/doc/sleuthkit/README.fiwalk

## sleuthkit 4.10.0+dfsg

=== debian/changelog ===
sleuthkit (4.10.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.10.0+dfsg.
  * debian/copyright: updated file.
  * debian/upstream/metadata: created.
  * debian/patches/30_fix-manpages.patch: refreshed and modified to use
    apostrophe instead of the acute accent, see the Lintian tag
    'acute-accent-in-manual-page'.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Thu, 08 Oct 2020 00:12:49 +0000

sleuthkit (4.9.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Thu, 27 Aug 2020 10:10:06 +0000

sleuthkit (4.9.0+dfsg-1) experimental; urgency=medium

  [ Samuel Henrique ]
  * Team upload.
  * Add salsa-ci.yml.
  * Configure git-buildpackage for Debian.

  [ Michael Prokop ]
  * Add libvhdi and libvmdk support.
  * Bump Standards-Version to 4.5.0.

  [ Francisco Vilmar Cardoso Ruviaro ]
  * New upstream version 4.9.0+dfsg. (Closes: #950233, #957808)
      - Fix stack buffer overflow in yaffsfs_istat.
        (Closes: #953976, CVE-2020-10232)
      - Remove embedded library libexif-0.6.20. (Closes: #795052)
  * Bump DH level to 13.
  * debian/compat: remove.
  * debian/control:
      - Add 'Rules-Requires-Root: no'.
      - Mark libtsk19 and libtsk-dev as Multi-Arch: same.
      - Use libtsk19 instead of libtsk13.
  * debian/copyright:
      - Add Files-Excluded field for remove non-free prebuilt windows binary.
      - Fix unused-file-paragraph-in-dep5-copyright because framework project
        was removed by upstream.
      - Update upstream and packaging copyright.
      - Use https protocol.
  * debian/not-installed: create to list a .la file.
  * debian/watch: add dversionmangle for dfsg.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Sat, 01 Aug 2020 14:35:15 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
                libafflib-dev (>= 3.6.6),
                libewf-dev (>= 20130416),
-               libsqlite3-dev
-Standards-Version: 4.3.0
+               libsqlite3-dev,
+               libvhdi-dev,
+               libvmdk-dev,
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.sleuthkit.org/sleuthkit
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/sleuthkit
 Vcs-Git: https://salsa.debian.org/pkg-security-team/sleuthkit.git
@@ -43,9 +46,10 @@
  .
  This package contains the set of command line tools in The Sleuth Kit.
 
-Package: libtsk13
+Package: libtsk19
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: libtsk10v5
 Replaces: libtsk10v5
@@ -77,7 +81,8 @@
 Package: libtsk-dev
 Section: libdevel
 Architecture: any
-Depends: libtsk13 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
+Multi-Arch: same
+Depends: libtsk19 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
 Description: library for forensics analysis (development files)
  The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
  line file and volume system forensic analysis tools. The filesystem tools

## sleuthkit 4.10.1+dfsg

=== debian/changelog ===
sleuthkit (4.10.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.10.1+dfsg.
  * Bump Standards-Version to 4.5.1.
  * debian/rules: drop DEB_LDFLAGS_MAINT_APPEND -Wl,--as-needed,
    because this is default behavior in bullseye toolchain.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Fri, 18 Dec 2020 21:52:40 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libsqlite3-dev,
                libvhdi-dev,
                libvmdk-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://www.sleuthkit.org/sleuthkit
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/sleuthkit

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/sleuthkit/sleuthkit/releases .*/sleuthkit/archive/sleuthkit-(\d\S+)\.tar\.(?:bz2|gz|xz)

## sleuthkit 4.11.0+dfsg

=== debian/changelog ===
sleuthkit (4.11.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.11.0+dfsg.
  * Refresh and add DEP-3 headers for:
     - debian/patches/0005-Disable-test_libraries.sh.patch.
     - debian/patches/40_no-static-ldflags.patch.
  * Update debian/copyright.
  * Update debian/watch.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Thu, 19 Aug 2021 18:40:54 +0000

## sleuthkit 4.11.1+dfsg

=== debian/changelog ===
sleuthkit (4.11.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.11.1+dfsg.
  * Bump Standards-Version to 4.6.0.1.
  * debian/libtsk-dev.install: add a tsk.pc file.

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Tue, 16 Nov 2021 18:15:50 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libsqlite3-dev,
                libvhdi-dev,
                libvmdk-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: http://www.sleuthkit.org/sleuthkit
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/sleuthkit

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/sleuthkit/sleuthkit/releases .*/sleuthkit-(\d\S+)\.tar\.(?:bz2|gz|xz)

## sleuthkit 4.12.0+dfsg

=== debian/changelog ===
sleuthkit (4.12.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Update the search rule in debian/watch.
  * New upstream version 4.12.0+dfsg.
  * Bump Standards-Version to 4.6.2.
  * Refresh patches for new upstream release.
  * Update my email address.
  * Update packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Tue, 14 Mar 2023 19:42:26 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                libsqlite3-dev,
                libvhdi-dev,
                libvmdk-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://www.sleuthkit.org/sleuthkit
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/sleuthkit

## sleuthkit 4.12.1%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), ant,
+               debhelper-compat (= 13),
                libafflib-dev (>= 3.6.6),
                libewf-dev (>= 20130416),
                libsqlite3-dev,
                libvhdi-dev,
-               libvmdk-dev,
+               libvmdk-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://www.sleuthkit.org/sleuthkit
@@ -21,7 +22,8 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Suggests: autopsy, mac-robber
+Suggests: autopsy,
+          mac-robber
 Conflicts: tct
 Description: tools for forensics analysis on volume and filesystem data
  The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
@@ -46,13 +48,16 @@
  .
  This package contains the set of command line tools in The Sleuth Kit.
 
-Package: libtsk19
+Package: libtsk19t64
+Provides: ${t64:Provides}
+Breaks: libtsk19 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Conflicts: libtsk10v5
-Replaces: libtsk10v5
+Replaces: libtsk19, libtsk10v5
 Description: library for forensics analysis on volume and filesystem data
  The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
  line file and volume system forensic analysis tools. The filesystem tools
@@ -82,7 +87,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libtsk19 (= ${binary:Version}), zlib1g-dev, ${misc:Depends}
+Depends: libtsk19t64 (= ${binary:Version}),
+         zlib1g-dev,
+         ${misc:Depends}
 Description: library for forensics analysis (development files)
  The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
  line file and volume system forensic analysis tools. The filesystem tools

## sleuthkit 4.12.1+dfsg

=== debian/changelog ===
sleuthkit (4.12.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch that removes C++ bool definitions (Closes: #1097897)

 -- Hilko Bengen <bengen@debian.org>  Wed, 19 Feb 2025 00:00:27 +0100

sleuthkit (4.12.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/fix-armhf-build.patch.
    Thanks to Steve Langasek <vorlon@debian.org>. (Closes: #1065791)
  * Update packaging copyright years.

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Mon, 08 Apr 2024 15:58:50 +0000

sleuthkit (4.12.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062902

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 16:17:47 +0000

sleuthkit (4.12.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Francisco Vilmar Cardoso Ruviaro ]
  * New upstream version 4.12.1+dfsg.
  * Run 'wrap-and-sort -a'.
  * Drop debian/libtsk13.* files because they
    haven't been used since version 4.9.0+dfsg-1.

  [ Peter Wienemann ]
  * Fix package clean-up (Closes: #1049223, #1049710)
    - Add ant as build dependency
    - Ensure config directory is removed

 -- Francisco Vilmar Cardoso Ruviaro <vilmar@debian.org>  Fri, 22 Dec 2023 14:12:22 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -lsqlite3 -lsupc++ -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -lsqlite3 -lsupc++
 
 %:
 	dh $@ --with autoreconf

=== debian/watch ===
version=4
opts=dversionmangle=auto,repacksuffix=+dfsg \
https://github.com/sleuthkit/sleuthkit/tags .*/sleuthkit-(\d\S+)\.tar\.(?:bz2|gz|xz)

## sleuthkit 4.14.0+dfsg

=== debian/changelog ===
sleuthkit (4.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version 4.14.0+dfsg
  * Bump Standards-Version
  * Bump SONAME
  * Add libvslvm build dependency
  * Add myself to Uploaders
  * Drop unneeded extra linker flags

 -- Hilko Bengen <bengen@debian.org>  Mon, 23 Feb 2026 23:33:02 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), ant,
+Uploaders: Hilko Bengen <bengen@debian.org>,
+Build-Depends: ant,
                debhelper-compat (= 13),
                libafflib-dev (>= 3.6.6),
                libewf-dev (>= 20130416),
                libsqlite3-dev,
                libvhdi-dev,
-               libvmdk-dev
-Standards-Version: 4.6.2
+               libvmdk-dev,
+               libvslvm-dev,
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: http://www.sleuthkit.org/sleuthkit
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/sleuthkit
@@ -48,16 +50,12 @@
  .
  This package contains the set of command line tools in The Sleuth Kit.
 
-Package: libtsk19t64
-Provides: ${t64:Provides}
-Breaks: libtsk19 (<< ${source:Version})
+Package: libtsk23
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Conflicts: libtsk10v5
-Replaces: libtsk19, libtsk10v5
 Description: library for forensics analysis on volume and filesystem data
  The Sleuth Kit, also known as TSK, is a collection of UNIX-based command
  line file and volume system forensic analysis tools. The filesystem tools
@@ -87,7 +85,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libtsk19t64 (= ${binary:Version}),
+Depends: libtsk23 (= ${binary:Version}),
          zlib1g-dev,
          ${misc:Depends}
 Description: library for forensics analysis (development files)

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,6 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -lsqlite3 -lsupc++
 
 %:
 	dh $@ --with autoreconf
